Bug 26214 - Remove the use of jquery.checkboxes plugin on late orders page
Summary: Remove the use of jquery.checkboxes plugin on late orders page
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26006
  Show dependency treegraph
 
Reported: 2020-08-14 14:50 UTC by Owen Leonard
Modified: 2020-09-10 03:41 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04


Attachments
Bug 26214: Remove the use of jquery.checkboxes plugin on late orders page (3.80 KB, patch)
2020-08-14 15:02 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26214: Remove the use of jquery.checkboxes plugin on late orders page (4.09 KB, patch)
2020-08-14 15:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26214: Remove the use of jquery.checkboxes plugin on late orders page (4.15 KB, patch)
2020-08-17 16:00 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 26214: Remove the use of jquery.checkboxes plugin on late orders page (4.21 KB, patch)
2020-08-17 21:57 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-08-14 14:50:15 UTC
As described in Bug 26006 the jquery.checkboxes plugin is old and unmaintained. 

Its use should be replaced on the late orders page.
Comment 1 Owen Leonard 2020-08-14 15:02:47 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2020-08-14 15:04:40 UTC Comment hidden (obsolete)
Comment 3 Amit Gupta 2020-08-17 16:00:30 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2020-08-17 21:57:12 UTC
Created attachment 108421 [details] [review]
Bug 26214: Remove the use of jquery.checkboxes plugin on late orders page

This patch replaces the use of the jquery.checkboxes plugin on late
orders page in acquisitions.

Unrelated changes: The "Check all" and "Uncheck all" links are moved out
of the table header so that it matches similar interfaces. Sorting is
now disabled on the checkboxes column and the table is sorted by default
on the "Order line" column.

To test, apply the patch and go to Acquisitions -> Late orders.

 - On the initial view, there should be no "Check all" or "Uncheck all"
   links.
 - Select a vendor in the left-hand sidebar form.
 - When the filtered table is redisplayed the "Check all" and "Uncheck
   all" links should now be visible.
 - Test that the links work correctly.
 - Confirm that the checkboxes column cannot be sorted and that the
   table is sorted by default by order line number.

Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-08-18 15:48:17 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-09-04 15:15:28 UTC
backported to 20.05.x for 20.05.04
Comment 7 Aleisha Amohia 2020-09-10 03:41:02 UTC
enhancement, not backported to 19.11.x